import { select, json, geoPath, geoAlbersUsa } from 'd3';
import { feature } from 'topojson';

// Selecting SVG from the HTML code
const svg = select('svg');

// Create a new geoNaturalEarth1() object for generating and projecting paths.
const p =  d3.geoAlbersUsa().scale(780).translate([480, 250]);
const a = geoPath().projection(p);

// Creating Earth() object that generates and projecting paths
json('https://cdn.jsdelivr.net/npm/world-atlas@2/countries-110m.json')
  .then(data => {
  	// Extracts all the countries in the world.
    const s = feature(data, data.objects.countries);
  	// Extracts USA from the countries list.
  	const features = s.features.filter(el => el.properties.name === 'United States of America');
  	// Passes the extracted countries generating the paths on the canvas 
  		svg.selectAll('path').data(features)
      .enter().append('path')
      .attr('class', 'country')
      .attr('d', a);
  });